#!/bin/sh
#
# This is part of TkTopNetFlows package
#
if ! PREFIX=$(expr $0 : "\(/.*\)/etc/rc\.d/$(basename $0)\$"); then
    echo "$0: Cannot determine the PREFIX" >&2
    exit 1
fi

case "$1" in
start)
	[ -x ${PREFIX}/sbin/flow_Server.pl ] && ${PREFIX}/sbin/flow_Server.pl && echo -n ' flow_Server'
	;;
stop)
	PIDS=`ps -ax | grep flow_Server.pl | grep -v grep | awk '{print $1 }' `
	kill ${PIDS} >/dev/null 2>&1 && echo -n ' flow_Server'
	;;
*)
	echo "Usage: `basename $0` {start|stop}" >&2
	;;
esac

exit 0
